GNU bug report logs - #35681
grep's ./configure doesn't work with plain /bin/sh

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: grep; Reported by: Miro Kropáček <miro.kropacek@HIDDEN>; dated Fri, 10 May 2019 23:27:01 UTC; Maintainer for grep is bug-grep@HIDDEN.

Message received at 35681 <at> debbugs.gnu.org:


Received: (at 35681) by debbugs.gnu.org; 13 May 2019 19:52:49 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon May 13 15:52:49 2019
Received: from localhost ([127.0.0.1]:46339 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hQH0B-0007gY-OA
	for submit <at> debbugs.gnu.org; Mon, 13 May 2019 15:52:47 -0400
Received: from mpv2-2015.cwru.edu ([129.22.103.227]:49904
 helo=mpv1-2015.case.edu) by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <chet.ramey@HIDDEN>) id 1hQH09-0007gP-NX
 for 35681 <at> debbugs.gnu.org; Mon, 13 May 2019 15:52:46 -0400
Received: from mpv5-2015.CWRU.Edu (EHLO mpv5-2015.case.edu) ([129.22.103.234])
 by mpv2-2015.case.edu (MOS 4.4.8-GA FastPath queued)
 with ESMTP id AYV89990; Mon, 13 May 2019 15:52:44 -0400 (EDT)
Received: from caleb.INS.CWRU.Edu (EHLO caleb.ins.cwru.edu) ([129.22.8.211])
 by mpv5-2015.case.edu (MOS 4.4.8-GA FastPath queued)
 with ESMTP id CRK55133 (AUTH cpr);
 Mon, 13 May 2019 15:52:43 -0400 (EDT)
Subject: Re: bug#35681: grep's ./configure doesn't work with plain /bin/sh
To: L A Walsh <bash@HIDDEN>, =?UTF-8?B?TWlybyBLcm9ww6HEjWVr?=
 <miro.kropacek@HIDDEN>
References: <CAN5rfbQ5fzMFpAA-vuG-CQ7zLA=RiWu0F0bCYgogYdohVG0wMQ@HIDDEN>
 <5CD7D5E0.2000604@HIDDEN>
From: Chet Ramey <chet.ramey@HIDDEN>
Openpgp: preference=signencrypt
Autocrypt: addr=chet.ramey@HIDDEN; prefer-encrypt=mutual; keydata=
 xsDiBEEOsGwRBACFa0A1oa71HSZLWxAx0svXzhOZNQZOzqHmSuGOG92jIpQpr8DpvgRh40Yp
 AwdcXb8QG1J5yGAKeevNE1zCFaA725vGSdHUyypHouV0xoWwukYO6qlyyX+2BZU+okBUqoWQ
 koWxiYaCSfzB2Ln7pmdys1fJhcgBKf3VjWCjd2XJTwCgoFJOwyBFJdugjfwjSoRSwDOIMf0D
 /iQKqlWhIO1LGpMrGX0il0/x4zj0NAcSwAk7LaPZbN4UPjn5pqGEHBlf1+xDDQCkAoZ/VqES
 GZragl4VqJfxBr29Ag0UDvNbUbXoxQsARdero1M8GiAIRc50hj7HXFoERwenbNDJL86GPLAQ
 OTGOCa4W2o29nFfFjQrsrrYHzVtyA/9oyKvTeEMJ7NA3VJdWcmn7gOu0FxEmSNhSoV1T4vP2
 1Wf7f5niCCRKQLNyUy0wEApQi4tSysdz+AbgAc0b/bHYVzIf2uO2lIEZQNNt+3g2bmXgloWm
 W5fsm/di50Gm1l1Na63d3RZ00SeFQos6WEwLUHEB0yp6KXluXLLIZitEJM0gQ2hldCBSYW1l
 eSA8Y2hldC5yYW1leUBjYXNlLmVkdT7CYQQTEQIAIQIbAwYLCQgHAwIDFQIDAxYCAQIeAQIX
 gAUCRX3FIgIZAQAKCRC7WGnwZOp0q069AKCNDRn+zzN/AHbaynls/Lvq1kH/RQCgkLvF8bDs
 maUHSxSIPqzlGuKWDxbOwE0EQQ6wbxAEAJCukwDigRDPhAuI+lf+6P64lWanIFOXIndqhvU1
 3cDbQ/Wt5LwPzm2QTvd7F+fcHOgZ8KOFScbDpjJaRqwIybMTcIN0B2pBLX/C10W1aY+cUrXZ
 gXUGVISEMmpaP9v02auToo7XXVEHC+XLO9IU7/xaU98FL69l6/K4xeNSBRM/AAMHA/wNAmRB
 pcyK0+VggZ5esQaIP/LyolAm2qwcmrd3dZi+g24s7yjV0EUwvRP7xHRDQFgkAo6++QbuecU/
 J90lxrVnQwucZmfz9zgWDkT/MpfB/CNRSKLFjhYq2yHmHWT6vEjw9Ry/hF6Pc0oh1a62USdf
 aKAiim0nVxxQmPmiRvtCmcJJBBgRAgAJBQJBDrBvAhsMAAoJELtYafBk6nSr43AAn2ZZFQg8
 Gs/zUzvXMt7evaFqVTzcAJ0cHtKpP1i/4H4R9+OsYeQdxxWxTQ==
Message-ID: <03195c3a-eb01-69fc-711b-be7828384986@HIDDEN>
Date: Mon, 13 May 2019 15:52:43 -0400
User-Agent: Mozilla/5.0 (Macintosh; Intel Mac OS X 10.14; rv:60.0)
 Gecko/20100101 Thunderbird/60.6.1
MIME-Version: 1.0
In-Reply-To: <5CD7D5E0.2000604@HIDDEN>
Content-Type: text/plain; charset=utf-8
Content-Language: en-US
Content-Transfer-Encoding: 7bit
X-Junkmail-Status: score=8/90, host=mpv2-2015.case.edu
X-Junkmail-PrAS-Raw: score=8/90, refid=2.7.2:2019.5.13.185716:17:8.317, ip=,
 rules=__HAS_REPLYTO, __HAS_CC_HDR, __MULTIPLE_RCPTS_CC_X2,
 __CC_NAME, __CC_NAME_DIFF_FROM_ACC, __SUBJ_REPLY,
 __BOUNCE_CHALLENGE_SUBJ, __BOUNCE_NDR_SUBJ_EXEMPT,
 __TO_MALFORMED_2, __TO_NAME, __TO_NAME_DIFF_FROM_ACC,
 __HAS_REFERENCES, __REFERENCES, __HAS_FROM, FROM_EDU_TLD,
 __HAS_MSGID, __SANE_MSGID, DATE_TZ_NA, __USER_AGENT,
 __MOZILLA_USER_AGENT, __MIME_VERSION, __IN_REP_TO, __CT,
 __CT_TEXT_PLAIN, __CTE, __REPLYTO_SAMEAS_FROM_ADDY,
 __REPLYTO_SAMEAS_FROM_ACC, __FROM_DOMAIN_IN_ANY_CC2,
 __REPLYTO_SAMEAS_FROM_DOMAIN, __ANY_URI, __URI_WITH_PATH,
 __URI_NO_WWW, __CP_URI_IN_BODY, __SUBJ_ALPHA_NEGATE,
 __URI_IN_BODY, __URI_NOT_IMG, __NO_HTML_TAG_RAW,
 BODYTEXTP_SIZE_3000_LESS, BODY_SIZE_400_499,
 __MIME_TEXT_P1, __MIME_TEXT_ONLY, __URI_NS, HTML_00_01,
 HTML_00_10, BODY_SIZE_5000_LESS, IN_REP_TO, MSG_THREAD,
 __FROM_DOMAIN_IN_RCPT, __TO_REAL_NAMES, __CC_REAL_NAMES,
 [TRUNCATED], so=2010-03-03 19:42:08, dmn=2016-08-03-0138
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 35681
Cc: 35681 <at> debbugs.gnu.org, bug-bash <bug-bash@HIDDEN>, chet.ramey@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: chet.ramey@HIDDEN
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

On 5/12/19 4:14 AM, L A Walsh wrote:

> Is it documented somewhere that bash's minimal config is POSIX compliant?

No. It's not. You need to add aliases to get basic compliance, then job
control and readline/history for the User Portability Utilities option.

-- 
``The lyf so short, the craft so long to lerne.'' - Chaucer
		 ``Ars longa, vita brevis'' - Hippocrates
Chet Ramey, UTech, CWRU    chet@HIDDEN    http://tiswww.cwru.edu/~chet/




Information forwarded to bug-grep@HIDDEN:
bug#35681; Package grep. Full text available.

Message received at 35681 <at> debbugs.gnu.org:


Received: (at 35681) by debbugs.gnu.org; 13 May 2019 08:18:52 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon May 13 04:18:52 2019
Received: from localhost ([127.0.0.1]:44012 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hQ6Ae-0004i7-Kh
	for submit <at> debbugs.gnu.org; Mon, 13 May 2019 04:18:52 -0400
Received: from mail-it1-f176.google.com ([209.85.166.176]:55748)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <miro.kropacek@HIDDEN>) id 1hQ6Ab-0004ho-0d
 for 35681 <at> debbugs.gnu.org; Mon, 13 May 2019 04:18:49 -0400
Received: by mail-it1-f176.google.com with SMTP id q132so18874745itc.5
 for <35681 <at> debbugs.gnu.org>; Mon, 13 May 2019 01:18:48 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc; bh=LeoxygHfcDiGajXloYkMkpysNB6iBZ5L9Xb+gCCQ9Pc=;
 b=GueS9KVUQjgeWC3g0KcdghNsAgvi3epC/8uETpH9xklZazLmxYwGwHN0PcxwK7f67q
 DQU+8ufLVe5sOlyh9xBYt+Z2YDUBLcZ38GBFGTcy16V4UrVev1dczQi+kHaCjtxLNi2b
 y7QOO84pms30lQ75D3JEo1Bq5PjXVxFIlPM6LmhHXw2qvIncXMfgqq+OnXVyV+cptBI/
 JIzF7bhZBMdImrQ/O5rxpT6MHmHRO/+RHmj5tK6TJzhMWCS6J4sBLdeto5bG5MXdnfuB
 MPDuzd87hgCgQ4iOa1ANklqIwbHI+/h8cvCQaZKi133U2jqII8wk/Y4Y7TSlpT4HTuXj
 w35A==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc;
 bh=LeoxygHfcDiGajXloYkMkpysNB6iBZ5L9Xb+gCCQ9Pc=;
 b=r9vSdfOEazRk5c1GO2ct8LRz7o471Ac0SZVJ3y6TttQnggc+qRaKaQbAglaf6TuKqs
 Q8IXoXdXci9SPbkT62Fc7w/t+z20WkU7cXsm+W57RSYNWg5V7CUL8Y+8N4/x69F7AyRb
 jNrn2G03IpDDq4ELzsdPB2QvBTjs09jWjbSnc1N+/99ZFyhMenadARSp6XemHL9VgVVf
 HLZLdF8zR84rQHOkMYd528SLoTpkJqQC98tL1aMpWl7Xxj+GVjohd/hrHlnUdseo7ip8
 cKfGFkoH4QhmON35pnWuOt3pKnMhX/uAeIM97hHO7IRQv3BMI+uolRkA48DupH8l8BKk
 C8EQ==
X-Gm-Message-State: APjAAAVyngbhTVZb0sa3v29CDmXZjuqVvf/ax1K/+TSiRt/tjwN30ZZs
 /G1qcVC+L/a+8BPLPJwbx/5Oqclz/fQ9+nt0H18=
X-Google-Smtp-Source: APXvYqyA6eFeFumF1WduLYeM7uVzYsMbqUff5US917XJpl8Dl+k4RUwaZ65K1hOvhjWBXRrUyroUdDs295536cZjOxk=
X-Received: by 2002:a02:ba85:: with SMTP id g5mr17454696jao.92.1557735521398; 
 Mon, 13 May 2019 01:18:41 -0700 (PDT)
MIME-Version: 1.0
References: <CAN5rfbSCm2poq4WVTF5_eUdo5jOKgubyL_s7WXn7bq5_bqnMnA@HIDDEN>
 <CAN5rfbRg2Rm6raNuwj6ZEmh0KW9CfM3O1EMuHaK76dEEYy8zHw@HIDDEN>
 <20bab114-2597-3ce8-b262-d243e47db73f@HIDDEN>
 <CAN5rfbSa2NGwynq0-7kUhBeW1UJr7GxMO2KJqP1k3GxHZ=_LGA@HIDDEN>
 <270a1065-0b0e-809a-4333-c932f4a8c24a@HIDDEN>
In-Reply-To: <270a1065-0b0e-809a-4333-c932f4a8c24a@HIDDEN>
From: =?UTF-8?B?TWlybyBLcm9ww6HEjWVr?= <miro.kropacek@HIDDEN>
Date: Mon, 13 May 2019 10:18:45 +0200
Message-ID: <CAN5rfbTcb6FkjMRDA4uDoTXuaysGeRyHtGKGdVFo_yhP6zu_mg@HIDDEN>
Subject: Re: Regression in --enable-minimal-config
To: Martijn Dekker <martijn@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: 0.1 (/)
X-Debbugs-Envelope-To: 35681
Cc: 35681 <at> debbugs.gnu.org, bug-bash <bug-bash@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.9 (/)

On Sun, 12 May 2019 at 21:32, Martijn Dekker <martijn@HIDDEN> wrote:
> Chet only commits snapshots to git and not individual fixes, so it's
> hard to isolate any one fix from the git repo.
Yes, I have noticed. :-)

> Are you sure? I just did a test compile on that same commit with
> '--enable-minimal-config --enable-strict-posix-default --enable-alias'
> and the bug is definitely not there. Then when I back up one commit and
> run 'make' again, the bug appears.
That's true but if you take given commit, create a patch from it and
backport it to bash-4.4, it's not working. So for me, taking this
pre-5.0-but-not-4.4-anymore commit is essentially the same option as
using 5.0.

-- 
http://mikro.atari.org




Information forwarded to bug-grep@HIDDEN:
bug#35681; Package grep. Full text available.

Message received at 35681 <at> debbugs.gnu.org:


Received: (at 35681) by debbugs.gnu.org; 12 May 2019 19:32:32 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun May 12 15:32:32 2019
Received: from localhost ([127.0.0.1]:43372 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hPuD1-0001ps-RM
	for submit <at> debbugs.gnu.org; Sun, 12 May 2019 15:32:32 -0400
Received: from kahlil.inlv.org ([37.59.109.123]:44222)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <martijn@HIDDEN>) id 1hPuCz-0001pj-BA
 for 35681 <at> debbugs.gnu.org; Sun, 12 May 2019 15:32:30 -0400
Received: from breedzicht.fritz.box (inlv.demon.nl [82.161.110.186])
 (authenticated bits=0)
 by kahlil.inlv.org (8.15.2/8.15.2) with ESMTPSA id x4CJWRfn003631
 (version=TLSv1.2 cipher=DHE-RSA-AES128-SHA bits=128 verify=NO);
 Sun, 12 May 2019 21:32:27 +0200
Subject: Re: Regression in --enable-minimal-config
To: =?UTF-8?B?TWlybyBLcm9ww6HEjWVr?= <miro.kropacek@HIDDEN>
References: <CAN5rfbSCm2poq4WVTF5_eUdo5jOKgubyL_s7WXn7bq5_bqnMnA@HIDDEN>
 <CAN5rfbRg2Rm6raNuwj6ZEmh0KW9CfM3O1EMuHaK76dEEYy8zHw@HIDDEN>
 <20bab114-2597-3ce8-b262-d243e47db73f@HIDDEN>
 <CAN5rfbSa2NGwynq0-7kUhBeW1UJr7GxMO2KJqP1k3GxHZ=_LGA@HIDDEN>
From: Martijn Dekker <martijn@HIDDEN>
Message-ID: <270a1065-0b0e-809a-4333-c932f4a8c24a@HIDDEN>
Date: Sun, 12 May 2019 21:32:26 +0200
User-Agent: Mozilla/5.0 (Macintosh; Intel Mac OS X 10.11; rv:52.0)
 Gecko/20100101 Thunderbird/52.9.1
MIME-Version: 1.0
In-Reply-To: <CAN5rfbSa2NGwynq0-7kUhBeW1UJr7GxMO2KJqP1k3GxHZ=_LGA@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-GB
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 35681
Cc: 35681 <at> debbugs.gnu.org, bug-bash <bug-bash@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Op 12-05-19 om 13:40 schreef Miro Kropáček:
> On Sun, 12 May 2019 at 12:47, Martijn Dekker<martijn@HIDDEN>  wrote:
>> I think you're probably hitting this bug:
>>
>> https://lists.gnu.org/archive/html/bug-bash/2016-09/msg00083.html
> Thanks, that indeed looks like it.
> 
>> The exit status of subshells is broken in bash-4.3 and bash-4.4 with
>> --enable-minimal-config. This is a fatal bug that would easily break
>> most substantial shell scripts, including configure.
>>
>> The bug was fixed in bash-5.0.
> Yes, 5.0 works. Do you know where the fix itself is?

No, but Chet would know.

Chet only commits snapshots to git and not individual fixes, so it's 
hard to isolate any one fix from the git repo.

>  Commit
> http://git.savannah.gnu.org/cgit/bash.git/commit/?id=61c476d20d32dfd389c79fd4f2161a780685e42e
> mentions your report and fix but it definitely does not fix it.

Are you sure? I just did a test compile on that same commit with 
'--enable-minimal-config --enable-strict-posix-default --enable-alias' 
and the bug is definitely not there. Then when I back up one commit and 
run 'make' again, the bug appears.

- M.

-- 
modernish -- harness the shell
https://github.com/modernish/modernish




Information forwarded to bug-grep@HIDDEN:
bug#35681; Package grep. Full text available.

Message received at 35681 <at> debbugs.gnu.org:


Received: (at 35681) by debbugs.gnu.org; 12 May 2019 16:16:56 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun May 12 12:16:56 2019
Received: from localhost ([127.0.0.1]:43166 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hPr9i-0005PF-Ll
	for submit <at> debbugs.gnu.org; Sun, 12 May 2019 12:16:56 -0400
Received: from kahlil.inlv.org ([37.59.109.123]:47358)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <martijn@HIDDEN>) id 1hPm1E-0005Bc-Ls
 for 35681 <at> debbugs.gnu.org; Sun, 12 May 2019 06:47:49 -0400
Received: from breedzicht.fritz.box (inlv.demon.nl [82.161.110.186])
 (authenticated bits=0)
 by kahlil.inlv.org (8.15.2/8.15.2) with ESMTPSA id x4CAlk3b001451
 (version=TLSv1.2 cipher=DHE-RSA-AES128-SHA bits=128 verify=NO);
 Sun, 12 May 2019 12:47:46 +0200
Subject: Re: Regression in --enable-minimal-config
To: =?UTF-8?B?TWlybyBLcm9ww6HEjWVr?= <miro.kropacek@HIDDEN>,
 bug-bash@HIDDEN, 35681 <at> debbugs.gnu.org
References: <CAN5rfbSCm2poq4WVTF5_eUdo5jOKgubyL_s7WXn7bq5_bqnMnA@HIDDEN>
 <CAN5rfbRg2Rm6raNuwj6ZEmh0KW9CfM3O1EMuHaK76dEEYy8zHw@HIDDEN>
From: Martijn Dekker <martijn@HIDDEN>
Message-ID: <20bab114-2597-3ce8-b262-d243e47db73f@HIDDEN>
Date: Sun, 12 May 2019 12:47:46 +0200
User-Agent: Mozilla/5.0 (Macintosh; Intel Mac OS X 10.11; rv:52.0)
 Gecko/20100101 Thunderbird/52.9.1
MIME-Version: 1.0
In-Reply-To: <CAN5rfbRg2Rm6raNuwj6ZEmh0KW9CfM3O1EMuHaK76dEEYy8zHw@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-GB
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 35681
X-Mailman-Approved-At: Sun, 12 May 2019 12:16:53 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Op 11-05-19 om 13:08 schreef Miro Kropáček:
> It seems --enable-minimal-config isn't tested very often as both
> 4.3.48 and 4.2.x required a few #ifdef's to be added to make it
> compile (Linux).

I think you're probably hitting this bug:

https://lists.gnu.org/archive/html/bug-bash/2016-09/msg00083.html

The exit status of subshells is broken in bash-4.3 and bash-4.4 with 
--enable-minimal-config. This is a fatal bug that would easily break 
most substantial shell scripts, including configure.

The bug was fixed in bash-5.0.

As for a minimal bash-5.0 with full POSIX compliance, aliases are 
required by POSIX but turned off by the minimal config, so you want: 
--enable-minimal-config --enable-alias --enable-strict-posix-default

I now often test modernish (my shell language enhancement library) 
against that shell configuration (among many others), so 
--enable-minimal-config is now a little better tested than before.

-- 
modernish -- harness the shell
https://github.com/modernish/modernish




Information forwarded to bug-grep@HIDDEN:
bug#35681; Package grep. Full text available.

Message received at 35681 <at> debbugs.gnu.org:


Received: (at 35681) by debbugs.gnu.org; 12 May 2019 11:40:31 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun May 12 07:40:31 2019
Received: from localhost ([127.0.0.1]:42005 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hPmqF-00009T-HV
	for submit <at> debbugs.gnu.org; Sun, 12 May 2019 07:40:31 -0400
Received: from mail-it1-f181.google.com ([209.85.166.181]:38401)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <miro.kropacek@HIDDEN>) id 1hPmqD-00009D-BS
 for 35681 <at> debbugs.gnu.org; Sun, 12 May 2019 07:40:30 -0400
Received: by mail-it1-f181.google.com with SMTP id i63so9318220ita.3
 for <35681 <at> debbugs.gnu.org>; Sun, 12 May 2019 04:40:29 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc; bh=JEOJPqOj5SiMiekdmlF7OWoYKZ9O+SH9lSghVR8PlOk=;
 b=ZNFY0LX88jZSviQQGqIxrJmiEYR12TOgajC4lB6i+uwL2OglWZbojpqO0zQPSbfmDb
 o+9lJf9xESbxHvfOMrTRQVSztJPkALDo5HJ5Qw4brWyRIr6tLp/LtWAZYpN3NbPf+R/9
 50K+hu7kkIOhEye3+EkcL8zXJ78dPmwB808IAZs110VlkXaxovrqN1wJi5EYZMlv8Ny2
 e7yX/+cGXqqY3zNwNPCRW5H8gqfbUlvNfrxPs6t11JrpWmNVMFijxRW/rJwAteUSRUdx
 v80erPALZSSVL5qfQYbJgLXFUslCb046FIm7HNQx+49Ati9FHugY4y3HslMal0l0r3a1
 Op7Q==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc;
 bh=JEOJPqOj5SiMiekdmlF7OWoYKZ9O+SH9lSghVR8PlOk=;
 b=IOSRQ5xIT8zwPxd1Ky2Riy5KY61BcQ5sTWKJeSoY+5I0/At+I9H9YPP8Z4G9pQhsZZ
 D6UFq2xFmPhEqG+/rQDIb2PQsmGq0SrG6R7y6F5tILs/nrmJoG8ON8qrS0G1UxR50CA0
 0GC8JSJH/3SY3FbFH5mid/YtNz79/sIeISdCKP06DRYm72+ptQMkAXYhINcavHQw62L5
 8sOKmZRAetJNbWmEyI67Kgr2zMrN90H8uiwbkLZI6sEabsnh1lZfIapDEN8ggTUmbJKN
 YV/MVW/QCAQYKVAt6KgXlVBZA8FnbEBF/86trgOw1J2A8WonZcHir+DUiqc6Ana7BSHy
 PRIA==
X-Gm-Message-State: APjAAAW9zDyTYmh8IapZ9xgOFHT6URZEkFVAXnOeRc4wC/Em4wcpKC8K
 gc8twWb0249yoic6BXR6Z/HyxXJXkB4tO/w3biw=
X-Google-Smtp-Source: APXvYqz2sGlMjI/ZTkXBYsa7eIzSrIlPUnujdBBS3KAaTTIRrRx8on/UlRl+NB3WWkCEbTl1jUYTw5chObrHdOcV3bM=
X-Received: by 2002:a05:6638:27b:: with SMTP id
 x27mr15034765jaq.40.1557661223505; 
 Sun, 12 May 2019 04:40:23 -0700 (PDT)
MIME-Version: 1.0
References: <CAN5rfbSCm2poq4WVTF5_eUdo5jOKgubyL_s7WXn7bq5_bqnMnA@HIDDEN>
 <CAN5rfbRg2Rm6raNuwj6ZEmh0KW9CfM3O1EMuHaK76dEEYy8zHw@HIDDEN>
 <20bab114-2597-3ce8-b262-d243e47db73f@HIDDEN>
In-Reply-To: <20bab114-2597-3ce8-b262-d243e47db73f@HIDDEN>
From: =?UTF-8?B?TWlybyBLcm9ww6HEjWVr?= <miro.kropacek@HIDDEN>
Date: Sun, 12 May 2019 13:40:11 +0200
Message-ID: <CAN5rfbSa2NGwynq0-7kUhBeW1UJr7GxMO2KJqP1k3GxHZ=_LGA@HIDDEN>
Subject: Re: Regression in --enable-minimal-config
To: Martijn Dekker <martijn@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: 0.1 (/)
X-Debbugs-Envelope-To: 35681
Cc: 35681 <at> debbugs.gnu.org, bug-bash <bug-bash@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.9 (/)

On Sun, 12 May 2019 at 12:47, Martijn Dekker <martijn@HIDDEN> wrote:
> I think you're probably hitting this bug:
>
> https://lists.gnu.org/archive/html/bug-bash/2016-09/msg00083.html
Thanks, that indeed looks like it.

> The exit status of subshells is broken in bash-4.3 and bash-4.4 with
> --enable-minimal-config. This is a fatal bug that would easily break
> most substantial shell scripts, including configure.
>
> The bug was fixed in bash-5.0.
Yes, 5.0 works. Do you know where the fix itself is? Commit
http://git.savannah.gnu.org/cgit/bash.git/commit/?id=61c476d20d32dfd389c79fd4f2161a780685e42e
mentions your report and fix but it definitely does not fix it. I'd
like to backport it into 4.4.23.

> As for a minimal bash-5.0 with full POSIX compliance, aliases are
> required by POSIX but turned off by the minimal config, so you want:
> --enable-minimal-config --enable-alias --enable-strict-posix-default
Thanks, didn't know that!

-- 
http://mikro.atari.org




Information forwarded to bug-grep@HIDDEN:
bug#35681; Package grep. Full text available.

Message received at 35681 <at> debbugs.gnu.org:


Received: (at 35681) by debbugs.gnu.org; 12 May 2019 08:30:14 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun May 12 04:30:14 2019
Received: from localhost ([127.0.0.1]:41736 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hPjs6-0007yB-AS
	for submit <at> debbugs.gnu.org; Sun, 12 May 2019 04:30:14 -0400
Received: from mail-it1-f181.google.com ([209.85.166.181]:38138)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <miro.kropacek@HIDDEN>) id 1hPjs5-0007xs-8r
 for 35681 <at> debbugs.gnu.org; Sun, 12 May 2019 04:30:13 -0400
Received: by mail-it1-f181.google.com with SMTP id i63so9000174ita.3
 for <35681 <at> debbugs.gnu.org>; Sun, 12 May 2019 01:30:13 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc; bh=zuf03sh2INpJDEmuPRH1fMStoWpawz2UveBCv9yLgrU=;
 b=lDhR6Iv1MUmTX4ppNgx6slQy+knKlgqPBgVXQx4tfrlc2ZqtbspVcSH/FfgZXWenV4
 hFt2W7i3LxIaPF7cs6VNtgUFt9YlhGRp9ZZqgiGz7UwMv66VIGXA4BrB3VhZh8pGdA9N
 TLtFIZvLfPNyIkoEsx0DTGXtW3jPqGwlkqyyuisiWeWtu/3obkguysAiab3IWQHE1fJu
 shjXHqLd3v2T1mK7pWJNFenD+iAwh9bK8ZuKAuI8U1uJa+ZKa+a5czUOcK3IMaBKt625
 vVzf/MyU/4IvPtRACynm6iY6wy/TyWOqID2LneEahvvc2POUbARx2FQcTEuw1G+BhfQm
 Q0dg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc;
 bh=zuf03sh2INpJDEmuPRH1fMStoWpawz2UveBCv9yLgrU=;
 b=NImvFpbNTPmKQQmVa6LOyA0ecdBb4hRI60EpklP53fJfkUX65N4V6u7jlucf6zZR2k
 6gKgLfjbFYZ2iW01R/7fQB8q6DFQBW06k/fkTVv2/COhf1v5iex0CQCWhr5LnYEms5wY
 Wt6Ewfx9HBYvpO/vVF3F0A/5at8aKtBHdapqF1kGH+hL3ykf6qRx0kxoBzGoZszR3h2S
 8CvfJ8UKnuzls8FIUKiTCUr9ZO4WM+wdIYO3h/LeRQEzRi87RHajnrNCLdKDsQSViBpE
 3oZCDiwG6RGOHygcClTiNWxSW4wjk3THJeqD8BqoWzJKXzptl8bQl61Vihds51bVSQlq
 IdsQ==
X-Gm-Message-State: APjAAAUfcOHzKTFZE2T4gQ/rUTTxQzZmOpSb3gWInLEejNPSXVMG0aXz
 xrg4w3zNLpjJgtwkGQXKxY35AYyCRD8/2qrAYlo=
X-Google-Smtp-Source: APXvYqxhxYalunvQxkH9G29hUQNXG+E8lcCkHkjmyICnB/G6Tt9+OhizuJWlQNzh42+3NH1QbTF2JHNfS0eZW/aHfY4=
X-Received: by 2002:a24:108b:: with SMTP id 133mr14184569ity.15.1557649806262; 
 Sun, 12 May 2019 01:30:06 -0700 (PDT)
MIME-Version: 1.0
References: <CAN5rfbQ5fzMFpAA-vuG-CQ7zLA=RiWu0F0bCYgogYdohVG0wMQ@HIDDEN>
 <5CD7D5E0.2000604@HIDDEN>
In-Reply-To: <5CD7D5E0.2000604@HIDDEN>
From: =?UTF-8?B?TWlybyBLcm9ww6HEjWVr?= <miro.kropacek@HIDDEN>
Date: Sun, 12 May 2019 10:29:55 +0200
Message-ID: <CAN5rfbRuNKMRDRQMpTJSZ=HVTvoaQ_D-6D6_y5RuOQTJpvtHeA@HIDDEN>
Subject: Re: bug#35681: grep's ./configure doesn't work with plain /bin/sh
To: L A Walsh <bash@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: 0.1 (/)
X-Debbugs-Envelope-To: 35681
Cc: 35681 <at> debbugs.gnu.org, bug-bash <bug-bash@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.9 (/)

On Sun, 12 May 2019 at 10:14, L A Walsh <bash@HIDDEN> wrote:
> Is it documented somewhere that bash's minimal config is POSIX compliant?
> I'm not sure, off hand.
Not sure either. The docs say: "This produces a shell with minimal
features, close to the historical Bourne shell" and
https://www.gnu.org/software/bash/manual/html_node/Bash-POSIX-Mode.html#Bash-POSIX-Mode
explicitly mentions that all that is needed is renaming 'bash' to 'sh'
to make it POSIX compliant (what has been done in my case).

Anyway, good news for grep is that this is not a grep bug (bashism). I
have found out that this is a regression in the bash project: it has
stopped working since bash-4.3.0.

--
http://mikro.atari.org




Information forwarded to bug-grep@HIDDEN:
bug#35681; Package grep. Full text available.

Message received at 35681 <at> debbugs.gnu.org:


Received: (at 35681) by debbugs.gnu.org; 12 May 2019 08:14:31 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun May 12 04:14:31 2019
Received: from localhost ([127.0.0.1]:41731 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hPjcs-0007am-TK
	for submit <at> debbugs.gnu.org; Sun, 12 May 2019 04:14:31 -0400
Received: from ishtar.tlinx.org ([173.164.175.65]:38064
 helo=Ishtar.sc.tlinx.org) by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <bash@HIDDEN>) id 1hPjcq-0007ac-NW
 for 35681 <at> debbugs.gnu.org; Sun, 12 May 2019 04:14:29 -0400
Received: from [192.168.3.12] (Athenae [192.168.3.12])
 by Ishtar.sc.tlinx.org (8.14.7/8.14.4/SuSE Linux 0.8) with ESMTP id
 x4C8EO9O029668; Sun, 12 May 2019 01:14:26 -0700
Message-ID: <5CD7D5E0.2000604@HIDDEN>
Date: Sun, 12 May 2019 01:14:24 -0700
From: L A Walsh <bash@HIDDEN>
User-Agent: Thunderbird
MIME-Version: 1.0
To: =?UTF-8?B?TWlybyBLcm9ww6HEjWVr?= <miro.kropacek@HIDDEN>
Subject: Re: bug#35681: grep's ./configure doesn't work with plain /bin/sh
References: <CAN5rfbQ5fzMFpAA-vuG-CQ7zLA=RiWu0F0bCYgogYdohVG0wMQ@HIDDEN>
In-Reply-To: <CAN5rfbQ5fzMFpAA-vuG-CQ7zLA=RiWu0F0bCYgogYdohVG0wMQ@HIDDEN>
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 35681
Cc: 35681 <at> debbugs.gnu.org, bug-bash <bug-bash@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

On 5/10/2019 3:49 PM, Miro Kropáček wrote:
> Hi,
>
> I found this today by accident - it seems that grep's ./configure
> doesn't work with so called minimal bash (enabled in bash's configure
> via --enable-minimal-config).
>
> One can verify that not only by the failed ./configure process but
> also by content of config.log - there are several messages like:
>
> configure:3536: error: fn_grep: expected pattern
>
> Tested on the latest (3.3) version. If there are good reasons why
> ./configure needs full bash, I guess it shouldn't reference /bin/sh in
> that case.
>
> Cheers,
> Miro
>
>
>   
Is it documented somewhere that bash's minimal config is POSIX compliant?
I'm not sure, off hand.

cc: bug-bash for comments there:





Information forwarded to bug-grep@HIDDEN:
bug#35681; Package grep. Full text available.

Message received at 35681 <at> debbugs.gnu.org:


Received: (at 35681) by debbugs.gnu.org; 12 May 2019 07:39:28 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun May 12 03:39:28 2019
Received: from localhost ([127.0.0.1]:41701 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hPj4y-0006hR-AU
	for submit <at> debbugs.gnu.org; Sun, 12 May 2019 03:39:28 -0400
Received: from atl4mhob13.registeredsite.com ([209.17.115.51]:45132)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <dclarke@HIDDEN>) id 1hPj4v-0006hI-Qc
 for 35681 <at> debbugs.gnu.org; Sun, 12 May 2019 03:39:26 -0400
Received: from mailpod.hostingplatform.com
 (atl4qobmail01pod2.registeredsite.com [10.30.77.35])
 by atl4mhob13.registeredsite.com (8.14.4/8.14.4) with ESMTP id x4C7dOpl030119
 (version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-GCM-SHA384 bits=256 verify=FAIL)
 for <35681 <at> debbugs.gnu.org>; Sun, 12 May 2019 03:39:24 -0400
Received: (qmail 39143 invoked by uid 0); 12 May 2019 07:39:24 -0000
X-TCPREMOTEIP: 99.253.177.25
X-Authenticated-UID: dclarke@HIDDEN
Received: from unknown (HELO ?172.16.35.3?)
 (dclarke@HIDDEN@99.253.177.25)
 by 0 with ESMTPA; 12 May 2019 07:39:23 -0000
Subject: Re: bug#35681: grep's ./configure doesn't work with plain /bin/sh
To: arnold@HIDDEN, 35681 <at> debbugs.gnu.org
References: <CAN5rfbQ5fzMFpAA-vuG-CQ7zLA=RiWu0F0bCYgogYdohVG0wMQ@HIDDEN>
 <1b195c5b-d4b2-a2f7-b8b6-9b1119fa2b2d@HIDDEN>
 <201905120549.x4C5nqZM004738@HIDDEN>
From: Dennis Clarke <dclarke@HIDDEN>
Message-ID: <28249626-70d5-cf73-82fc-53537e3ff45e@HIDDEN>
Date: Sun, 12 May 2019 03:39:23 -0400
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:67.0) Gecko/20100101
 Thunderbird/67.0
MIME-Version: 1.0
In-Reply-To: <201905120549.x4C5nqZM004738@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 7bit
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 35681
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


>> However configure works without bash around.
> 
> What you tested was bash's configure.  The original
> query was about grep's configure.


oops


dc




Information forwarded to bug-grep@HIDDEN:
bug#35681; Package grep. Full text available.

Message received at 35681 <at> debbugs.gnu.org:


Received: (at 35681) by debbugs.gnu.org; 12 May 2019 05:50:02 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun May 12 01:50:01 2019
Received: from localhost ([127.0.0.1]:41631 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hPhN3-0003sO-Dc
	for submit <at> debbugs.gnu.org; Sun, 12 May 2019 01:50:01 -0400
Received: from freefriends.org ([96.88.95.60]:37340)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <arnold@HIDDEN>) id 1hPhN1-0003s3-9D
 for 35681 <at> debbugs.gnu.org; Sun, 12 May 2019 01:50:00 -0400
X-Envelope-From: arnold@HIDDEN
Received: from freefriends.org (freefriends.org [96.88.95.60])
 by freefriends.org (8.14.7/8.14.7) with ESMTP id x4C5nrGr004739
 (version=TLSv1/SSLv3 cipher=ECDHE-RSA-AES256-GCM-SHA384 bits=256 verify=NOT); 
 Sat, 11 May 2019 23:49:53 -0600
Received: (from arnold@localhost)
 by freefriends.org (8.14.7/8.14.7/Submit) id x4C5nqZM004738;
 Sat, 11 May 2019 23:49:52 -0600
From: arnold@HIDDEN
Message-Id: <201905120549.x4C5nqZM004738@HIDDEN>
X-Authentication-Warning: frenzy.freefriends.org: arnold set sender to
 arnold@HIDDEN using -f
Date: Sat, 11 May 2019 23:49:52 -0600
To: dclarke@HIDDEN, 35681 <at> debbugs.gnu.org
Subject: Re: bug#35681: grep's ./configure doesn't work with plain /bin/sh
References: <CAN5rfbQ5fzMFpAA-vuG-CQ7zLA=RiWu0F0bCYgogYdohVG0wMQ@HIDDEN>
 <1b195c5b-d4b2-a2f7-b8b6-9b1119fa2b2d@HIDDEN>
In-Reply-To: <1b195c5b-d4b2-a2f7-b8b6-9b1119fa2b2d@HIDDEN>
User-Agent: Heirloom mailx 12.5 7/5/10
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 35681
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Hi.

Dennis Clarke <dclarke@HIDDEN> wrote:

> On 5/10/19 6:49 PM, Miro Krop????ek wrote:
> > Hi,
> > 
> > I found this today by accident - it seems that grep's ./configure
                                                   ^^^^^^^^^^^^^^^^^^
> > doesn't work with so called minimal bash (enabled in bash's configure
> > via --enable-minimal-config).
> > 

And:

> Undefined                       first referenced
>   symbol                             in file
> rl_clear_visible_line               bashline.o
> rl_redraw_prompt_last_line          bashline.o
> history_lines_written_to_file       bashhist.o
> history_lines_read_from_file        bashhist.o
> remove_history_range                bashhist.o
> history_quoting_state               y.tab.o
> rl_function_of_keyseq_len           bashline.o
> ld: fatal: symbol referencing errors. No output written to bash

This is the lack of the readline library.

> However configure works without bash around.

What you tested was bash's configure.  The original
query was about grep's configure.

HTH,

Arnold




Information forwarded to bug-grep@HIDDEN:
bug#35681; Package grep. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 12 May 2019 04:44:35 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun May 12 00:44:35 2019
Received: from localhost ([127.0.0.1]:41584 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hPgLc-0001yY-Q8
	for submit <at> debbugs.gnu.org; Sun, 12 May 2019 00:44:35 -0400
Received: from eggs.gnu.org ([209.51.188.92]:59808)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <dclarke@HIDDEN>) id 1hPgLa-0001yH-1y
 for submit <at> debbugs.gnu.org; Sun, 12 May 2019 00:44:27 -0400
Received: from lists.gnu.org ([209.51.188.17]:33547)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <dclarke@HIDDEN>)
 id 1hPgLU-0005wZ-T0
 for submit <at> debbugs.gnu.org; Sun, 12 May 2019 00:44:20 -0400
Received: from eggs.gnu.org ([209.51.188.92]:45950)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <dclarke@HIDDEN>) id 1hPgLR-00041r-Eh
 for bug-grep@HIDDEN; Sun, 12 May 2019 00:44:20 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,RCVD_IN_DNSWL_NONE,
 URIBL_BLOCKED autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <dclarke@HIDDEN>) id 1hPgLO-0005t5-CW
 for bug-grep@HIDDEN; Sun, 12 May 2019 00:44:17 -0400
Received: from atl4mhob21.registeredsite.com ([209.17.115.115]:54158)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <dclarke@HIDDEN>) id 1hPgLO-0005rV-5t
 for bug-grep@HIDDEN; Sun, 12 May 2019 00:44:14 -0400
Received: from mailpod.hostingplatform.com
 (atl4qobmail01pod2.registeredsite.com [10.30.77.35])
 by atl4mhob21.registeredsite.com (8.14.4/8.14.4) with ESMTP id x4C4i86X055637
 (version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-GCM-SHA384 bits=256 verify=FAIL)
 for <bug-grep@HIDDEN>; Sun, 12 May 2019 00:44:08 -0400
Received: (qmail 45097 invoked by uid 0); 12 May 2019 04:44:08 -0000
X-TCPREMOTEIP: 99.253.177.25
X-Authenticated-UID: dclarke@HIDDEN
Received: from unknown (HELO ?172.16.35.3?)
 (dclarke@HIDDEN@99.253.177.25)
 by 0 with ESMTPA; 12 May 2019 04:44:08 -0000
Subject: Re: bug#35681: grep's ./configure doesn't work with plain /bin/sh
To: bug-grep@HIDDEN
References: <CAN5rfbQ5fzMFpAA-vuG-CQ7zLA=RiWu0F0bCYgogYdohVG0wMQ@HIDDEN>
From: Dennis Clarke <dclarke@HIDDEN>
Message-ID: <1b195c5b-d4b2-a2f7-b8b6-9b1119fa2b2d@HIDDEN>
Date: Sun, 12 May 2019 00:44:07 -0400
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:67.0) Gecko/20100101
 Thunderbird/67.0
MIME-Version: 1.0
In-Reply-To: <CAN5rfbQ5fzMFpAA-vuG-CQ7zLA=RiWu0F0bCYgogYdohVG0wMQ@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: quoted-printable
X-MIME-Autoconverted: from 8bit to quoted-printable by
 atl4mhob21.registeredsite.com id x4C4i86X055637
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 3.x
X-Received-From: 209.17.115.115
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

On 5/10/19 6:49 PM, Miro Krop=C3=A1=C4=8Dek wrote:
> Hi,
>=20
> I found this today by accident - it seems that grep's ./configure
> doesn't work with so called minimal bash (enabled in bash's configure
> via --enable-minimal-config).
>=20
> One can verify that not only by the failed ./configure process but
> also by content of config.log - there are several messages like:
>=20
> configure:3536: error: fn_grep: expected pattern
>=20
> Tested on the latest (3.3) version. If there are good reasons why
> ./configure needs full bash, I guess it shouldn't reference /bin/sh in
> that case.
>=20
> Cheers,
> Miro
>=20
>=20
>=20

I am checking this on a Solaris system which has XPG4 sh and also ksh
but I have removed bash out of the PATH entirely.

beta$ ../bash-5.0-007_20190512031626/configure \
 > --enable-alias --enable-brace-expansion \
 > --enable-casemod-attributes --enable-casemod-expansions \
 > --enable-command-timing --enable-cond-command \
 > --enable-cond-regexp --enable-debugger \
 > --enable-directory-stack --enable-dparen-arithmetic \
 > --enable-extended-glob --enable-extended-glob-default \
 > --enable-help-builtin --enable-history \
 > --enable-job-control --enable-prompt-string-decoding \
 > --enable-restricted --enable-select --enable-strict-posix-default \
 > --enable-xpg-echo-default --with-libiconv-prefix=3D/usr/local \
 > --with-libintl-prefix=3D/usr/local
checking build system type... sparc-sun-solaris2.10
checking host system type... sparc-sun-solaris2.10

Beginning configuration for bash-5.0-release for sparc-sun-solaris2.10

checking for gcc... /opt/developerstudio12.6/bin/cc
checking whether the C compiler works... yes
checking for C compiler default output file name... a.out
checking for suffix of executables...
checking whether we are cross compiling... no
checking for suffix of object files... o
checking whether we are using the GNU C compiler... no
checking whether /opt/developerstudio12.6/bin/cc accepts -g... yes
checking for /opt/developerstudio12.6/bin/cc option to accept ISO C89...=20
none needed
checking for strerror in -lcposix... no
checking how to run the C preprocessor... /opt/developerstudio12.6/bin/cc=
 -E
checking for grep that handles long lines and -e... /usr/local/bin/grep
checking for egrep... /usr/local/bin/grep -E
checking for ANSI C header files... yes
checking for sys/types.h... yes
checking for sys/stat.h... yes
checking for stdlib.h... yes
checking for string.h... yes
checking for memory.h... yes
checking for strings.h... yes
checking for inttypes.h... yes
checking for stdint.h... yes
checking for unistd.h... yes
checking minix/config.h usability... no
checking minix/config.h presence... no
checking for minix/config.h... no
checking whether it is safe to define __EXTENSIONS__... yes
checking for special C compiler options needed for large files... no
checking for _FILE_OFFSET_BITS value needed for large files... no
checking for a BSD-compatible install...=20
../bash-5.0-007_20190512031626/./support/install.sh -c
checking for ar... /usr/ccs/bin/ar
checking for ranlib... ranlib
checking for bison... /usr/local/bin/bison
checking whether /usr/local/bin/gmake sets $(MAKE)... yes
checking for an ANSI C-conforming const... yes
checking for inline... inline
checking whether byte ordering is bigendian... yes
checking for preprocessor stringizing operator... yes
checking for long double with more range or precision than double... yes
checking for function prototypes... yes
checking whether char is unsigned... no
checking for working volatile... yes
checking for C/C++ restrict keyword... __restrict
checking whether NLS is requested... yes
checking for msgfmt... no
checking for gmsgfmt... /bin/gmsgfmt
checking for xgettext... no
checking for msgmerge... /bin/msgmerge
checking for off_t... yes
checking for size_t... yes
checking for working alloca.h... yes
checking for alloca... yes
checking for stdlib.h... (cached) yes
checking for unistd.h... (cached) yes
checking for sys/param.h... yes
checking for sys/time.h... yes
checking for getpagesize... yes
checking for working mmap... yes
checking whether we are using the GNU C Library 2.1 or newer... no
checking whether integer division by zero raises SIGFPE... yes
checking for inttypes.h... yes
checking for stdint.h... yes
checking for unsigned long long... yes
checking for inttypes.h... yes
checking whether the inttypes.h PRIxNN macros are broken... no
checking for non-GNU ld... /usr/ccs/bin/sparcv9/ld
checking if the linker (/usr/ccs/bin/sparcv9/ld) is GNU ld... no
checking for shared library run path origin... done
checking argz.h usability... no
checking argz.h presence... no
checking for argz.h... no
checking limits.h usability... yes
checking limits.h presence... yes
checking for limits.h... yes
checking locale.h usability... yes
checking locale.h presence... yes
checking for locale.h... yes
checking nl_types.h usability... yes
checking nl_types.h presence... yes
checking for nl_types.h... yes
checking malloc.h usability... yes
checking malloc.h presence... yes
checking for malloc.h... yes
checking stddef.h usability... yes
checking stddef.h presence... yes
checking for stddef.h... yes
checking for stdlib.h... (cached) yes
checking for string.h... (cached) yes
checking for unistd.h... (cached) yes
checking for sys/param.h... (cached) yes
checking for feof_unlocked... no
checking for fgets_unlocked... no
checking for getc_unlocked... yes
checking for getcwd... yes
checking for getegid... yes
checking for geteuid... yes
checking for getgid... yes
checking for getuid... yes
checking for mempcpy... no
checking for munmap... yes
checking for putenv... yes
checking for setenv... yes
checking for setlocale... yes
checking for localeconv... yes
checking for stpcpy... no
checking for strcasecmp... yes
checking for strdup... yes
checking for strtoul... yes
checking for tsearch... yes
checking for __argz_count... no
checking for __argz_stringify... no
checking for __argz_next... no
checking for __fsetlocking... yes
checking for iconv... yes
checking how to link with libiconv... /usr/local/lib/libiconv.so=20
-R/usr/local/lib
checking for iconv declaration...
          extern size_t iconv (iconv_t cd, const char * *inbuf, size_t=20
*inbytesleft, char * *outbuf, size_t *outbytesleft);
checking for nl_langinfo and CODESET... yes
checking for LC_MESSAGES... yes
checking for bison... no
checking whether NLS is requested... yes
checking whether included gettext is requested... no
checking for GNU gettext in libc... no
checking for GNU gettext in libintl... yes
checking whether to use NLS... yes
checking where the gettext function comes from... external libintl
checking how to link with libintl... /usr/local/lib/libintl.so=20
/usr/local/lib/libiconv.so -lc -R/usr/local/lib
checking for dirent.h that defines DIR... yes
checking for library containing opendir... none required
checking whether time.h and sys/time.h may both be included... yes
checking for inttypes.h... (cached) yes
checking for unistd.h... (cached) yes
checking for stdlib.h... (cached) yes
checking stdarg.h usability... yes
checking stdarg.h presence... yes
checking for stdarg.h... yes
checking varargs.h usability... yes
checking varargs.h presence... yes
checking for varargs.h... yes
checking for limits.h... (cached) yes
checking for string.h... (cached) yes
checking for memory.h... (cached) yes
checking for locale.h... (cached) yes
checking termcap.h usability... no
checking termcap.h presence... no
checking for termcap.h... no
checking termio.h usability... yes
checking termio.h presence... yes
checking for termio.h... yes
checking termios.h usability... yes
checking termios.h presence... yes
checking for termios.h... yes
checking dlfcn.h usability... yes
checking dlfcn.h presence... yes
checking for dlfcn.h... yes
checking stdbool.h usability... no
checking stdbool.h presence... yes
configure: WARNING: stdbool.h: present but cannot be compiled
configure: WARNING: stdbool.h:     check for missing prerequisite headers=
?
configure: WARNING: stdbool.h: see the Autoconf documentation
configure: WARNING: stdbool.h:     section "Present But Cannot Be Compile=
d"
configure: WARNING: stdbool.h: proceeding with the compiler's result
configure: WARNING:     ## ------------------------------- ##
configure: WARNING:     ## Report this to bug-bash@HIDDEN ##
configure: WARNING:     ## ------------------------------- ##
checking for stdbool.h... no
checking for stddef.h... (cached) yes
checking for stdint.h... (cached) yes
checking netdb.h usability... yes
checking netdb.h presence... yes
checking for netdb.h... yes
checking pwd.h usability... yes
checking pwd.h presence... yes
checking for pwd.h... yes
checking grp.h usability... yes
checking grp.h presence... yes
checking for grp.h... yes
checking for strings.h... (cached) yes
checking regex.h usability... yes
checking regex.h presence... yes
checking for regex.h... yes
checking syslog.h usability... yes
checking syslog.h presence... yes
checking for syslog.h... yes
checking ulimit.h usability... yes
checking ulimit.h presence... yes
checking for ulimit.h... yes
checking sys/pte.h usability... no
checking sys/pte.h presence... no
checking for sys/pte.h... no
checking sys/stream.h usability... yes
checking sys/stream.h presence... yes
checking for sys/stream.h... yes
checking sys/select.h usability... yes
checking sys/select.h presence... yes
checking for sys/select.h... yes
checking sys/file.h usability... yes
checking sys/file.h presence... yes
checking for sys/file.h... yes
checking sys/ioctl.h usability... yes
checking sys/ioctl.h presence... yes
checking for sys/ioctl.h... yes
checking sys/mman.h usability... yes
checking sys/mman.h presence... yes
checking for sys/mman.h... yes
checking for sys/param.h... (cached) yes
checking sys/socket.h usability... yes
checking sys/socket.h presence... yes
checking for sys/socket.h... yes
checking for sys/stat.h... (cached) yes
checking for sys/time.h... (cached) yes
checking sys/times.h usability... yes
checking sys/times.h presence... yes
checking for sys/times.h... yes
checking for sys/types.h... (cached) yes
checking sys/wait.h usability... yes
checking sys/wait.h presence... yes
checking for sys/wait.h... yes
checking netinet/in.h usability... yes
checking netinet/in.h presence... yes
checking for netinet/in.h... yes
checking arpa/inet.h usability... yes
checking arpa/inet.h presence... yes
checking for arpa/inet.h... yes
checking for sys/ptem.h... yes
checking for sys/resource.h... yes
checking for working alloca.h... (cached) yes
checking for alloca... (cached) yes
checking for uid_t in sys/types.h... yes
checking for unistd.h... (cached) yes
checking for working chown... yes
checking whether getpgrp requires zero arguments... yes
checking for vprintf... yes
checking for _doprnt... yes
checking for working strcoll... yes
checking return type of signal handlers... void
checking for __setostype... no
checking for wait3... yes
checking for mkfifo... yes
checking for dup2... yes
checking for eaccess... no
checking for fcntl... yes
checking for getdtablesize... yes
checking for getgroups... yes
checking for gethostname... yes
checking for getpagesize... (cached) yes
checking for getpeername... no
checking for getrlimit... yes
checking for getrusage... yes
checking for gettimeofday... yes
checking for kill... yes
checking for killpg... yes
checking for lstat... yes
checking for pselect... yes
checking for readlink... yes
checking for select... yes
checking for setdtablesize... no
checking for setitimer... yes
checking for tcgetpgrp... yes
checking for uname... yes
checking for ulimit... yes
checking for waitpid... yes
checking for rename... yes
checking for bcopy... yes
checking for bzero... yes
checking for confstr... yes
checking for faccessat... no
checking for fnmatch... yes
checking for getaddrinfo... no
checking for gethostbyname... no
checking for getservbyname... no
checking for getservent... no
checking for inet_aton... no
checking for imaxdiv... yes
checking for memmove... yes
checking for pathconf... yes
checking for putenv... (cached) yes
checking for raise... yes
checking for random... yes
checking for regcomp... yes
checking for regexec... yes
checking for setenv... (cached) yes
checking for setlinebuf... yes
checking for setlocale... (cached) yes
checking for setvbuf... yes
checking for siginterrupt... yes
checking for strchr... yes
checking for sysconf... yes
checking for syslog... yes
checking for tcgetattr... yes
checking for times... yes
checking for ttyname... yes
checking for tzset... yes
checking for unsetenv... yes
checking for vasprintf... yes
checking for asprintf... yes
checking for isascii... yes
checking for isblank... yes
checking for isgraph... yes
checking for isprint... yes
checking for isspace... yes
checking for isxdigit... yes
checking for getpwent... yes
checking for getpwnam... yes
checking for getpwuid... yes
checking for mkstemp... yes
checking for getcwd... (cached) yes
checking for memset... yes
checking for strcasecmp... (cached) yes
checking for strcasestr... no
checking for strerror... yes
checking for strftime... yes
checking for strnlen... no
checking for strpbrk... yes
checking for strstr... yes
checking for strtod... yes
checking for strtol... yes
checking for strtoul... (cached) yes
checking for strtoll... yes
checking for strtoull... yes
checking for strtoimax... yes
checking for strtoumax... yes
checking for dprintf... no
checking for strchrnul... no
checking for strdup... (cached) yes
checking libaudit.h usability... no
checking libaudit.h presence... no
checking for libaudit.h... no
checking whether AUDIT_USER_TTY is declared... no
checking whether confstr is declared... yes
checking whether printf is declared... yes
checking whether sbrk is declared... yes
checking whether setregid is declared... yes
checking whether strcpy is declared... yes
checking whether strsignal is declared... yes
checking whether strtold is declared... yes
checking for broken strtold... no
checking for declaration of strtoimax... yes
checking for declaration of strtol... yes
checking for declaration of strtoll... yes
checking for declaration of strtoul... yes
checking for declaration of strtoull... yes
checking for declaration of strtoumax... yes
checking for alarm... yes
checking for sbrk... yes
checking for fpurge... no
checking for __fpurge... yes
checking for snprintf... yes
checking for vsnprintf... yes
checking for working mktime... no
checking for argz.h... (cached) no
checking errno.h usability... yes
checking errno.h presence... yes
checking for errno.h... yes
checking fcntl.h usability... yes
checking fcntl.h presence... yes
checking for fcntl.h... yes
checking for malloc.h... (cached) yes
checking stdio_ext.h usability... yes
checking stdio_ext.h presence... yes
checking for stdio_ext.h... yes
checking for getpagesize... (cached) yes
checking for working mmap... (cached) yes
checking for __argz_count... (cached) no
checking for __argz_next... (cached) no
checking for __argz_stringify... (cached) no
checking for dcgettext... yes
checking for mempcpy... (cached) no
checking for munmap... (cached) yes
checking for mremap... no
checking for stpcpy... (cached) no
checking for strcspn... yes
checking wctype.h usability... yes
checking wctype.h presence... yes
checking for wctype.h... yes
checking wchar.h usability... yes
checking wchar.h presence... yes
checking for wchar.h... yes
checking langinfo.h usability... yes
checking langinfo.h presence... yes
checking for langinfo.h... yes
checking mbstr.h usability... no
checking mbstr.h presence... no
checking for mbstr.h... no
checking for mbrlen... yes
checking for mbscasecmp... no
checking for mbscmp... no
checking for mbsnrtowcs... no
checking for mbsrtowcs... yes
checking for mbschr... no
checking for wcrtomb... yes
checking for wcscoll... yes
checking for wcsdup... no
checking for wcwidth... yes
checking for wctype... yes
checking for wcswidth... yes
checking whether mbrtowc and mbstate_t are properly declared... yes
checking for iswlower... yes
checking for iswupper... yes
checking for towlower... yes
checking for towupper... yes
checking for iswctype... yes
checking for nl_langinfo and CODESET... yes
checking for wchar_t in wchar.h... yes
checking for wctype_t in wctype.h... yes
checking for wint_t in wctype.h... yes
checking for wcwidth broken with unicode combining characters... no
checking for locale_charset... yes
checking size of wchar_t... 4
checking for dlopen in -ldl... yes
checking for dlopen... yes
checking for dlclose... yes
checking for dlsym... yes
checking whether sys_siglist is declared... no
checking for inet_aton... no
checking for getpeername in -lsocket... yes
checking for t_open in -lnsl... yes
checking for gethostbyname in socket library... yes
checking type of array argument to getgroups... gid_t
checking for off_t... (cached) yes
checking for mode_t... yes
checking for uid_t in sys/types.h... (cached) yes
checking for pid_t... yes
checking for size_t... (cached) yes
checking for uintptr_t... yes
checking for ssize_t... yes
checking for time_t... yes
checking for long long... long long
checking for unsigned long long... unsigned long long
checking return type of signal handlers... (cached) void
checking for sig_atomic_t in signal.h... yes
checking size of char... 1
checking size of short... 2
checking size of int... 4
checking size of long... 8
checking size of char *... 8
checking size of double... 8
checking size of long long... 8
checking for u_int... yes
checking for u_long... yes
checking for bits16_t... no
checking for u_bits16_t... no
checking for bits32_t... no
checking for u_bits32_t... no
checking for bits64_t... no
checking for ptrdiff_t... yes
checking whether stat file-mode macros are broken... no
checking whether #! works in shell scripts... yes
checking whether the ctype macros accept non-ascii characters... yes
checking if dup2 fails to clear the close-on-exec flag... no
checking whether pgrps need synchronization... no
checking for type of signal functions... posix
checking for sys_errlist and sys_nerr... no
checking for sys_siglist in system C library... no
checking for _sys_siglist in signal.h or unistd.h... yes
checking for _sys_siglist in system C library... yes
checking whether signal handlers are of type void... yes
checking for clock_t... yes
checking for sigset_t... yes
checking for sig_atomic_t... yes
checking for quad_t... yes
checking for intmax_t... yes
checking for uintmax_t... yes
checking for socklen_t... yes
checking for size and type of struct rlimit fields... rlim_t
checking size of intmax_t... 8
checking for struct termios.c_line... no
checking for struct termio.c_line... yes
checking for struct dirent.d_ino... yes
checking for struct dirent.d_fileno... no
checking for struct dirent.d_namlen... no
checking for struct winsize in sys/ioctl.h and termios.h... termios.h
checking for struct timeval in sys/time.h and time.h... yes
checking for struct stat.st_blocks... yes
checking whether struct tm is in sys/time.h or time.h... time.h
checking for struct tm.tm_zone... no
checking whether tzname is declared... yes
checking for tzname... yes
checking for struct timezone in sys/time.h and time.h... yes
checking for offset of exit status in return status from wait... 8
checking for struct timespec in <time.h>... yes
checking for struct stat.st_atim.tv_nsec... yes
checking whether struct stat.st_atim is of type struct timespec... yes
checking for working sbrk... yes
checking for the existence of strsignal... yes
checking if opendir() opens non-directories... no
checking whether ulimit can substitute for getdtablesize... yes
checking whether fpurge is declared... no
checking to see if getenv can be redefined... yes
checking if getcwd() will dynamically allocate memory with 0 size... no
checking for presence of POSIX-style sigsetjmp/siglongjmp... present
checking whether or not strcoll and strcmp differ... no
checking for standard-conformant snprintf... yes
checking for standard-conformant vsnprintf... yes
checking for standard-conformant putenv declaration... yes
checking for standard-conformant unsetenv declaration... yes
checking for printf floating point output in hex notation... yes
checking whether fnmatch can be used to check bracket equivalence=20
classes... yes
checking if signal handlers must be reinstalled when invoked... no
checking for presence of necessary job control definitions... present
checking for presence of named pipes... present
checking whether termios.h defines TIOCGWINSZ... yes
checking for TIOCSTAT in sys/ioctl.h... no
checking for FIONREAD in sys/ioctl.h... no
checking whether WCONTINUED flag to waitpid is unavailable or available=20
but broken... no
checking for speed_t in sys/types.h... no
checking whether getpw functions are declared in pwd.h... yes
checking for unusable real-time signals due to large values... no
checking for tgetent... no
checking for tgetent in -ltermcap... yes
checking which library has the termcap functions... using libtermcap
checking whether /dev/fd is available... standard
checking whether /dev/stdin stdout stderr are available... present
checking for default mail directory... /var/mail
checking shared object configuration for loadable builtins... supported
configure: creating ./config.status
config.status: creating Makefile
config.status: creating builtins/Makefile
config.status: creating lib/readline/Makefile
config.status: creating lib/glob/Makefile
config.status: creating lib/intl/Makefile
config.status: creating lib/malloc/Makefile
config.status: creating lib/sh/Makefile
config.status: creating lib/termcap/Makefile
config.status: creating lib/tilde/Makefile
config.status: creating doc/Makefile
config.status: creating support/Makefile
config.status: creating po/Makefile.in
config.status: creating examples/loadables/Makefile
config.status: creating examples/loadables/Makefile.inc
config.status: creating examples/loadables/perl/Makefile
config.status: creating support/bash.pc
config.status: creating support/bashbug.sh
config.status: creating config.h
config.status: executing default-1 commands
config.status: creating po/POTFILES
config.status: creating po/Makefile
config.status: executing default commands
beta$


So that is on ye old Solaris 10 with both XPG4 sh and also ksh around
but no bash in sight. Works fine for configure.

However compile blows up due to something strange wherein a source
file can not be accessed ??

/opt/developerstudio12.6/bin/cc -c  -DHAVE_CONFIG_H -DSHELL -I. -I../..=20
-I../../../bash-5.0-007_20190512031626=20
-I../../../bash-5.0-007_20190512031626/include=20
-I../../../bash-5.0-007_20190512031626/lib -I/usr/local/include=20
-D_EXTENSIONS_ -D__EXTENSIONS__ -D_TS_ERRNO -D_POSIX_PTHREAD_SEMANTICS=20
-D_LARGEFILE64_SOURCE -DSOLARIS -m64 -xarch=3Dsparc -g -Xa -errfmt=3Derro=
r=20
-erroff=3D%none -errshort=3Dfull -xstrconst -xildoff -xmemalign=3D8s=20
-xnolibmil -xcode=3Dpic32 -xregs=3Dno%appl -xlibmieee -mc -ftrap=3D%none=20
-xbuiltin=3D%none -xunroll=3D1 -xs -xdebugformat=3Ddwarf -errtags=3Dyes=20
-errwarn=3D%none -D_LARGEFILE64_SOURCE -D_POSIX_PTHREAD_SEMANTICS=20
-D_TS_ERRNO  ../../../bash-5.0-007_20190512031626/lib/glob/smatch.c
command line: fatal: cannot open=20
../../../bash-5.0-007_20190512031626/lib/glob/smatch.c: Permission denied
cc: acomp failed for ../../../bash-5.0-007_20190512031626/lib/glob/smatch=
.c
gmake[1]: *** [Makefile:62: smatch.o] Error 2
gmake[1]: Leaving directory=20
'/usr/local/build/bash-5.0-007_SunOS5.10_sparc64vii+.001/lib/glob'
gmake: *** [Makefile:673: lib/glob/libglob.a] Error 1

real 34.17
user 24.39
sys 5.70
beta$

Sure enough the file is marked as rw only for some oddball user :

beta$ pwd
/usr/local/build/bash-5.0-007_SunOS5.10_sparc64vii+.001
beta$ ls -lapb ../bash-5.0-007_20190512031626/lib/glob/smatch.c
-rw-------   1 286      webservd   13460 Dec 16 18:10=20
../bash-5.0-007_20190512031626/lib/glob/smatch.c
beta$

Comes out of the tarball that way.

Odd.  Could be because I protect the source tree from the average
user and I will not allow a build process to modify the sources on
first pass.

So tweak the rights in the source tree :

beta$ pwd
/usr/local/build/bash-5.0-007_SunOS5.10_sparc64vii+.001
beta$ ls -lapb ../bash-5.0-007_20190512031626/lib/glob/smatch.c
-rw-------   1 286      webservd   13460 Dec 16 18:10=20
../bash-5.0-007_20190512031626/lib/glob/smatch.c
beta$
beta$ su -
Password:
Oracle Corporation      SunOS 5.10      Generic Patch   January 2005
beta # cd /usr/local/build/bash-5.0-007_20190512031626/
beta # chmod -fR a+r *
beta # ls -lapb lib/glob/smatch.c
-rw-r--r--   1 286      webservd   13460 Dec 16 18:10 lib/glob/smatch.c
beta # exit
beta$

Okay try again and we see undefined symbols comeing from somewhere ...

=2E
=2E
=2E
/opt/developerstudio12.6/bin/cc -L./builtins -L./lib/readline=20
-L./lib/readline -L./lib/glob -L./lib/tilde -L./lib/malloc -L./lib/sh=20
-L/usr/local/lib  -m64 -xarch=3Dsparc -g -Xa -errfmt=3Derror -erroff=3D%n=
one=20
-errshort=3Dfull -xstrconst -xildoff -xmemalign=3D8s -xnolibmil -xcode=3D=
pic32=20
-xregs=3Dno%appl -xlibmieee -mc -ftrap=3D%none -xbuiltin=3D%none -xunroll=
=3D1=20
-xs -xdebugformat=3Ddwarf -errtags=3Dyes -errwarn=3D%none=20
-D_LARGEFILE64_SOURCE -D_POSIX_PTHREAD_SEMANTICS -D_TS_ERRNO   -o bash=20
shell.o eval.o y.tab.o general.o make_cmd.o print_cmd.o  dispose_cmd.o=20
execute_cmd.o variables.o copy_cmd.o error.o expr.o flags.o jobs.o=20
subst.o hashcmd.o hashlib.o mailcheck.o trap.o input.o unwind_prot.o=20
pathexp.o sig.o test.o version.o alias.o array.o arrayfunc.o assoc.o=20
braces.o bracecomp.o bashhist.o bashline.o  list.o stringlib.o locale.o=20
findcmd.o redir.o pcomplete.o pcomplib.o syntax.o xmalloc.o  -lbuiltins=20
-lglob -lsh -lreadline -lhistory -ltermcap -ltilde -lmalloc=20
/usr/local/lib/libintl.so /usr/local/lib/libiconv.so -lc=20
-R/usr/local/lib /usr/local/lib/libiconv.so -R/usr/local/lib  -lsocket=20
-lnsl -ldl
ld: warning: file /usr/local/lib/libiconv.so: attempted multiple=20
inclusion of file
Undefined                       first referenced
  symbol                             in file
rl_clear_visible_line               bashline.o
rl_redraw_prompt_last_line          bashline.o
history_lines_written_to_file       bashhist.o
history_lines_read_from_file        bashhist.o
remove_history_range                bashhist.o
history_quoting_state               y.tab.o
rl_function_of_keyseq_len           bashline.o
ld: fatal: symbol referencing errors. No output written to bash
gmake: *** [Makefile:582: bash] Error 2

real 20.71
user 14.33
sys 4.36
beta$

Nice.

However configure works without bash around.

--=20
Dennis Clarke
RISC-V/SPARC/PPC/ARM/CISC
UNIX and Linux spoken
GreyBeard and suspenders optional

















Information forwarded to bug-grep@HIDDEN:
bug#35681; Package grep. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 10 May 2019 23:26:10 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri May 10 19:26:10 2019
Received: from localhost ([127.0.0.1]:39424 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hPEu2-00080e-3U
	for submit <at> debbugs.gnu.org; Fri, 10 May 2019 19:26:10 -0400
Received: from eggs.gnu.org ([209.51.188.92]:45588)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <miro.kropacek@HIDDEN>) id 1hPEKd-0007Br-FH
 for submit <at> debbugs.gnu.org; Fri, 10 May 2019 18:49:35 -0400
Received: from lists.gnu.org ([209.51.188.17]:45527)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <miro.kropacek@HIDDEN>)
 id 1hPEKY-0001yF-7S
 for submit <at> debbugs.gnu.org; Fri, 10 May 2019 18:49:30 -0400
Received: from eggs.gnu.org ([209.51.188.92]:59970)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <miro.kropacek@HIDDEN>) id 1hPEKX-0001H4-AT
 for bug-grep@HIDDEN; Fri, 10 May 2019 18:49:30 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: *
X-Spam-Status: No, score=1.8 required=5.0 tests=BAYES_50,FREEMAIL_FROM,
 FROM_EXCESS_BASE64 autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <miro.kropacek@HIDDEN>) id 1hPEKW-0001ww-Ie
 for bug-grep@HIDDEN; Fri, 10 May 2019 18:49:29 -0400
Received: from mail-io1-xd33.google.com ([2607:f8b0:4864:20::d33]:33598)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_128_CBC_SHA1:16)
 (Exim 4.71) (envelope-from <miro.kropacek@HIDDEN>)
 id 1hPEKW-0001vy-CE
 for bug-grep@HIDDEN; Fri, 10 May 2019 18:49:28 -0400
Received: by mail-io1-xd33.google.com with SMTP id z4so5785975iol.0
 for <bug-grep@HIDDEN>; Fri, 10 May 2019 15:49:27 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:from:date:message-id:subject:to;
 bh=/uj35dXpeUOUE+MYuS2642RSt0TXsVjCyu3NME/xmwQ=;
 b=A4INctxEv8KgboHmzuEyZrL5Lu3O/aFQRvzol3brK78kcuhKrUg5lz0tEzZCSb/AYp
 4O55W1IWI/A7W5AF0S3ETkj7NgRPgVX8pWzLQL8uzPdD3AOWcwqHldnyw+B5iGr5pT7L
 taeYFUfT5fiFumcVHd9Ix5eQ03NYFC307SOFHOOETpjkyLOG/ncai1DggOPL8Gw+Mzcz
 W5N4XrN3ap4C+PnTBvTLzv1HUV1qiy1rHSjsWHkTSReRJhqABRrv61bDO3cbofjKnrRW
 RKu+1rlkwLMKgN/qvLwhuE3hpbhu92uieMuUbsZOmMzvsLXF5u3KTyk/U9NZRzC3dE/q
 VP/A==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:from:date:message-id:subject:to;
 bh=/uj35dXpeUOUE+MYuS2642RSt0TXsVjCyu3NME/xmwQ=;
 b=UgNlfFEubUSEg+dIdkJgyzPcLNDCvorMrz9NoQxywBa0fjTw6NTbAqa0880sqWZgVL
 ddo1i4T8sVuqKqt1CeVpZON9o3448R20J2044A+HDEB3FcPnKVAR2BkAjem4Rhl/oAKh
 cBe3U06uQzWD/8LXol1M7nBPzI4Zif1bXU+fKi3j5QDBNknd7UlpEzVHeziMVxI65IEK
 ug4A1PL7yLZP26j/wlO5LOBki/LnoWkxXYsW6wVdp7iTrw/lA9cNc6qtyKFbChKEdFWI
 feSchvxDVoFyjaXgDVtyPBMDeX4BfZ3+HADKkyxgX/qV2fYvQCxBydZJh6vQuRN2fGjZ
 fI0Q==
X-Gm-Message-State: APjAAAWz6kNkWecvUUcMrcEy9rUenDAarhQmPVzGQISDLyQ+Ds3rffkk
 YUb+imOcvRYfNjRhDGeL5Qbwe2MvAJKvlnTuMQl3mUGycBPqRA==
X-Google-Smtp-Source: APXvYqztb++c6bGpXUdj6TD7dBQAlQn655t8hw7/giFKWcFfOA6UjCX6Q4Ud+TTKeCE8fJNl4+1ahKRgBjfR6AYBEnU=
X-Received: by 2002:a6b:2c02:: with SMTP id s2mr7799198ios.97.1557528566369;
 Fri, 10 May 2019 15:49:26 -0700 (PDT)
MIME-Version: 1.0
From: =?UTF-8?B?TWlybyBLcm9ww6HEjWVr?= <miro.kropacek@HIDDEN>
Date: Sat, 11 May 2019 00:49:15 +0200
Message-ID: <CAN5rfbQ5fzMFpAA-vuG-CQ7zLA=RiWu0F0bCYgogYdohVG0wMQ@HIDDEN>
Subject: grep's ./configure doesn't work with plain /bin/sh
To: bug-grep@HIDDEN
Content-Type: text/plain; charset="UTF-8"
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
 recognized.
X-Received-From: 2607:f8b0:4864:20::d33
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Spam-Score: -1.2 (-)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Fri, 10 May 2019 19:26:08 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.2 (--)

Hi,

I found this today by accident - it seems that grep's ./configure
doesn't work with so called minimal bash (enabled in bash's configure
via --enable-minimal-config).

One can verify that not only by the failed ./configure process but
also by content of config.log - there are several messages like:

configure:3536: error: fn_grep: expected pattern

Tested on the latest (3.3) version. If there are good reasons why
./configure needs full bash, I guess it shouldn't reference /bin/sh in
that case.

Cheers,
Miro




Acknowledgement sent to Miro Kropáček <miro.kropacek@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-grep@HIDDEN. Full text available.
Report forwarded to bug-grep@HIDDEN:
bug#35681; Package grep. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Mon, 13 May 2019 20:00:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.